| ICM42370P eMD Driver 2.2.7 Documentation of the eMD Driver API

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
inv_imu_interrupt_parameter_t Struct Reference
Driver

Interrupt definition. More...

`#include <inv_imu_driver.h>`

## Public Attributes
inv_imu_interrupt_value | INV_UI_FSYNC
inv_imu_interrupt_value | INV_UI_DRDY
inv_imu_interrupt_value | INV_FIFO_THS
inv_imu_interrupt_value | INV_FIFO_FULL
inv_imu_interrupt_value | INV_SMD
inv_imu_interrupt_value | INV_WOM_X
inv_imu_interrupt_value | INV_WOM_Y
inv_imu_interrupt_value | INV_WOM_Z
inv_imu_interrupt_value | INV_FF
inv_imu_interrupt_value | INV_LOWG
inv_imu_interrupt_value | INV_STEP_DET
inv_imu_interrupt_value | INV_STEP_CNT_OVFL
inv_imu_interrupt_value | INV_TILT_DET

## Detailed Description

Interrupt definition.

## Member Data Documentation

## ◆ INV_FF

inv_imu_interrupt_value inv_imu_interrupt_parameter_t::INV_FF

## ◆ INV_FIFO_FULL

inv_imu_interrupt_value inv_imu_interrupt_parameter_t::INV_FIFO_FULL

## ◆ INV_FIFO_THS

inv_imu_interrupt_value inv_imu_interrupt_parameter_t::INV_FIFO_THS

## ◆ INV_LOWG

inv_imu_interrupt_value inv_imu_interrupt_parameter_t::INV_LOWG

## ◆ INV_SMD

inv_imu_interrupt_value inv_imu_interrupt_parameter_t::INV_SMD

## ◆ INV_STEP_CNT_OVFL

inv_imu_interrupt_value inv_imu_interrupt_parameter_t::INV_STEP_CNT_OVFL

## ◆ INV_STEP_DET

inv_imu_interrupt_value inv_imu_interrupt_parameter_t::INV_STEP_DET

## ◆ INV_TILT_DET

inv_imu_interrupt_value inv_imu_interrupt_parameter_t::INV_TILT_DET

## ◆ INV_UI_DRDY

inv_imu_interrupt_value inv_imu_interrupt_parameter_t::INV_UI_DRDY

## ◆ INV_UI_FSYNC

inv_imu_interrupt_value inv_imu_interrupt_parameter_t::INV_UI_FSYNC

## ◆ INV_WOM_X

inv_imu_interrupt_value inv_imu_interrupt_parameter_t::INV_WOM_X

## ◆ INV_WOM_Y

inv_imu_interrupt_value inv_imu_interrupt_parameter_t::INV_WOM_Y

## ◆ INV_WOM_Z

inv_imu_interrupt_value inv_imu_interrupt_parameter_t::INV_WOM_Z

The documentation for this struct was generated from the following file:

- inv_imu_driver.h